Summary: Text based browser for the world wide web
Name: lynx
Version: 2.8jp
Release: 1a
Copyright: GPL
Group: Applications/Networking
URL: http://lynx.browser.org
Source0: ftp://www.slcc.edu/pub/lynx/release2-8/lynx2-8.zip
#NoSource: 0
Patch: lynx-2.8-redhat.patch
Patch1: lynx-2.8-jrpm.patch
BuildRoot: /var/tmp/lynx-root
Packager: INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
Distribution: Japanese RPM (JRPM)
Vendor: Linux Japanese RPM Project

# This spec file builds lynx with the slang libraries.  To build with
# ncurses instead, just replace the occurance of slang with ncurses.
# If you think it should be possible to change options like this without
# editing the spec file, join rpm-list@redhat.com and let 'em know ;)

%description
Lynx is the most widely used text mode browser on the Internet.  It is a
full-featured browser--there is almost no content on the web that Lynx
cannot retrieve and display, either by itself or by calling on other
software designed for the purpose.  Recent enhancements include frames,
cookies, and client-side imagemaps, but _not_ tables.

%changelog

* Sat Jun 20 1999 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- built against linuxppc-1999

* Thu Jul 30 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Set default charactor to Japanese(EUC)

* Fri Mar 20 1998 Andrew Pimlott <pimlott@math.harvard.edu>
- Updated to lynx 2-8!  This required reworking the spec file to use
  autoconf.
- Some of the patches are unnecessary thanks to new autoconf detection
- Reverted the start page to the Lynx home page, instead of redhat.com

* Fri Jul 18 1997 Andrew Pimlott <pimlott@math.harvard.edu>
- Hot off the griddle fotemods
- Latest fotemods broke the Makefile patch--updated patch.
- That note in the description about supporting tables was bugging me, so I
  replaced the entire text with a (modified) blurb from
  http://www.crl.com/~subir/lynx/what.html
- It's nice if the values in lynx.cfg reflect the compiled-in values (from
  userdefs.h), even if they're commented out.  So I did this.
- Changed the command to load images from xli to xv
- Use the local copy of the help file.  Since I didn't want this to break if
  someone excludes docs, I made the help files normal files and put them in
  /usr/share.
- Set the start file to http://www.redhat.com/

* Fri Jun 27 1997 Manoj Kasichainula <manojk@io.com>
- Fixed unquoted RPM_OPT_FLAGS

* Thu Jun 26 1997 Manoj Kasichainula <manojk@io.com>
- Easily slangified
- Simplified patch a bit
- Clean RPM_BUILD_DIR now

* Tue Jun 25 1997 Timo Karjalainen <timok@iki.fi>

- Ditto..

* Thu Jun 19 1997 Timo Karjalainen <timok@iki.fi>

- Some new 'fotemods' :)

* Sat Jun 14 1997 Timo Karjalainen <timok@iki.fi>

- Uses RPM_OPT_FLAGS (they were defined in the specfile but lynx wasn't
  patched to use them)
- Added 'fotemods', modifications made by Fote since v2.7.1
- Some small changes to specfile

* Wed Jun 11 1997 Elliot Lee <sopwith@redhat.com>
- moved lynx.cfg to /etc
- BuildRooted

%prep
%setup -T -c -n lynx2-8
cd ..
unzip $RPM_SOURCE_DIR/lynx2-8.zip >/dev/null 2>&1
%patch
%patch1
cd lynx2-8
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr --libdir=/etc --enable-nsl-fork --with-screen=slang --with-zlib

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{usr/bin,usr/man/man1,usr/share/lynx}
# If someone can work around having to rerun configure, tell me how!
./configure --prefix=$RPM_BUILD_ROOT/usr --libdir=$RPM_BUILD_ROOT/etc
make install

cp -pr lynx_help $RPM_BUILD_ROOT/usr/share/lynx

%clean

rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/lynx2-8

%files
%attr(-, root, root) %config /etc/lynx.cfg
%attr(-, root, root) /usr/bin/lynx
%attr(-, root, root) /usr/man/man1/lynx.1
%attr(-, root, root) %doc /usr/share/lynx/lynx_help
%attr(-, root, root) %doc README COPYING COPYHEADER INSTALLATION PROBLEMS
%attr(-, root, root) %doc docs samples test
